---
title: URLSearchParams.get()
slug: Web/API/URLSearchParams/get
tags:
  - API
  - Method
  - URL API
  - URLSearchParams
  - get
---
<p>{{ApiRef("URL API")}}</p>

<p>The <strong><code>get()</code> </strong>method of the {{domxref("URLSearchParams")}} interface returns the first value associated to the given search parameter.</p>

<p>{{availableinworkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">URLSearchParams.get(<em>name</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>name</dt>
 <dd>The name of the parameter to return.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("USVString")}} if the given search parameter is found; otherwise, <code><strong>null</strong></code>.</p>

<h2 id="Examples">Examples</h2>

<p>If the URL of your page is <code>https://example.com/?name=Jonathan&amp;age=18</code> you could parse out the 'name' and 'age' parameters using:</p>

<pre class="default prettyprint prettyprinted"><code>let params = new URLSearchParams(document.location.search.substring(1));
let name = params.get("name")<span class="kwd">; // is the string "Jonathan"
</span>let age = parseInt(params.get("age"), 10<span class="kwd">); // is the number 18</span></code>
</pre>

<p>Requesting a parameter that isn't present in the query string will return <code><strong>null</strong></code>:</p>

<pre><code>let address = params.get("address"); // null</code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('URL', '#dom-urlsearchparams-get', "get()")}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.URLSearchParams.get")}}</p>
</div>
